<?



include 'connect.php';

$title = $title.' | Пользователи';
include 'head.php';

$online = num($_GET['online']);

//Подзаголовок
if($online) echo '<div class="title"><img src= "img/users_online.gif"> Пользователи онлайн</div>';
else
echo '<div class="title"><img src= "img/users.gif"> Пользователи</div>';

//Eсли онлайн
if($online) 
$onlineq = "WHERE `online` > '".(time()-$system['online_time'])."'";
else 
$onlineq = '';

//Сортировка
echo '<div class="subtitle">';
echo ' Сортировка: <br/>';
$sort = $_GET['sort'];

//Привлекательность
if($sort == 'likes') {
$sortq = '`likes`'; 
echo '<a href = "users.php?online='.$online.'&sort=rating">Популярность</a> | <b>Привлекательность</b> | <a href = "users.php?online='.$online.'&sort=money">Богатство</a>';
}
//Богатство
if($sort == 'money') {
$sortq = '`money`'; 
echo '<a href = "users.php?online='.$online.'&sort=rating">Популярность</a> | <a href = "users.php?online='.$online.'&sort=likes">Привлекательность</a> | <b>Богатство</b>';
}
//Популярность
if($sort == 'rating' || empty($sortq)) {
$sort = 'rating';
$sortq = '`rating`'; 
echo '<b>Популярность</b> | <a href = "users.php?online='.$online.'&sort=likes">Привлекательность</a> | <a href = "users.php?online='.$online.'&sort=money">Богатство</a>';
}
echo '</div>';

//Пользователей на страницу
if($u['setting_users_list']) $count = $u['setting_users_list']; else $count = 10;

echo '<div class="main_menu">';
$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` $onlineq"), 0);
if($all > 0){
   $total = intval(($all - 1) / $count) + 1;
   $page = num($_GET['page']);
   if(empty($page) or $page < 0) $page = 1; 
   if($page > $total) $page = $total;
   $start = $page * $count - $count;
   $result = mysql_query("SELECT * FROM `users` $onlineq ORDER BY $sortq DESC LIMIT $start, $count");
      while($user = mysql_fetch_assoc($result)){
	  //Вывод
	  echo '<div class="block">';
	  echo '<table>
      <tr>
      <td>';
	  ava($user['id'],50);
	  echo '</td>
	  <td VALIGN=top>';
	  echo ''.ico($user['sex'],$user['admin']).' <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a> '.online($user['online']).'';
	  if($sort == 'likes') echo ' <img src = "img/like.png"> '.$user['likes'].'';
	  if($sort == 'money') echo ' <img src = "image/balanse.png"> '.$user['money'].'';
	  if($sort == 'rating') echo ' <img src = "image/rating.png"> '.$user['rating'].'';
	  echo '<br/>';
	  
	  if($u['id']){
	  if($user['id'] != $u['id']){
	  echo '<img src = "img/mail.gif"> <a href = "mail.php?act=write&id='.$user['id'].'">Сообщение</a><br/>';
	  //Проверяем не друг ли
      $req = mysql_query("SELECT * FROM `friends` WHERE `user` = '".$u['id']."' and friend = '".$user['id']."' LIMIT 1");
      if(mysql_num_rows($req))
      echo '<img src = "img/friends.gif"> <a href = "friends.php?act=delete&id='.$user['id'].'">Убрать из друзей</a><br/>';
      else 
	  echo '<img src = "img/friends.gif"> <a href = "friends.php?act=adding&id='.$user['id'].'">Добавить в друзья</a><br/>';
	  }
	  }
	  
	  echo '<br/>';
	  echo '</td>
      </tr>
      </table>';
      echo '</div>';
	  }
	  navigation($page, $total,'users.php?online='.$online.'&sort='.$sort.'&');
}else{
echo 'Пользователей не найдено!';
}
echo '</div>';
include 'foot.php';

?>